package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItembuygiftRemoveitemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItembuygiftRemoveitemItemBuyGiftSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItembuygiftRemoveitemRequest) SetParam0(v domain.AlibabaHmMarketingItembuygiftRemoveitemItemBuyGiftSku) *AlibabaHmMarketingItembuygiftRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftRemoveitemRequest) SetParam1(v domain.AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam) *AlibabaHmMarketingItembuygiftRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItembuygiftRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItembuygiftRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
